Skip to navigation

Create Unit Note: Rent Manager

Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error.

Method
POST /Units/HistoryNotes
POST /HistoryNotes/{noteId}/UploadAttachments
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
notesstringRequired
Notes associated with the unit
category_idstringOptional
The Propexo unique identifier for the note category. Some properties may require a category be passed in
attachmentobjectOptional
Attachment files for notes on the unit

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error